org.apache.solr.search

## Class CollapsingQParserPlugin.CollapsingPostFilter

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.ExtendedQueryBase
    - - org.apache.solr.search.CollapsingQParserPlugin.CollapsingPostFilter

- All Implemented Interfaces:
    ExtendedQuery, PostFilter, ScoreFilter
  Enclosing class:
    CollapsingQParserPlugin

      public static class CollapsingQParserPlugin.CollapsingPostFilter
      extends ExtendedQueryBase
      implements PostFilter, ScoreFilter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `hint`
    `static int` | `NULL_POLICY_COLLAPSE`
    `static int` | `NULL_POLICY_EXPAND`
    `static int` | `NULL_POLICY_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollapsingPostFilter(SolrParams localParams, SolrParams params, SolrQueryRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `boolean` | `getCache()` Should this query be cached in the query cache or filter cache.
    `boolean` | `getCacheSep()` If true, the clauses of this boolean query should be cached separately.
    `int` | `getCost()` Returns the cost of this query, used to order checking of filters that are not cached.
    `String` | `getField()`
    `DelegatingCollector` | `getFilterCollector(IndexSearcher indexSearcher)` Returns a DelegatingCollector to be run after the main query and all of its filters, but before any sorting or grouping collectors
    `int` | `hashCode()`
    `void` | `setCache(boolean cache)`
    `void` | `setCacheSep(boolean cacheSep)`
    `String` | `toString(String s)`

    - ### Methods inherited from class org.apache.solr.search.ExtendedQueryBase

      `getOptions, getOptionsString, setCost`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, createWeight, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.search.ExtendedQuery

      `setCost`

- - ### Field Detail

    - #### hint

          public String hint

    - #### NULL_POLICY_IGNORE

          public static final int NULL_POLICY_IGNORE

      See Also:
        Constant Field Values

    - #### NULL_POLICY_COLLAPSE

          public static final int NULL_POLICY_COLLAPSE

      See Also:
        Constant Field Values

    - #### NULL_POLICY_EXPAND

          public static final int NULL_POLICY_EXPAND

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CollapsingPostFilter

          public CollapsingPostFilter(SolrParams localParams,
                                      SolrParams params,
                                      SolrQueryRequest request)
                               throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getField

          public String getField()

    - #### setCache

          public void setCache(boolean cache)

      Specified by:
        `setCache` in interface `ExtendedQuery`
      Overrides:
        `setCache` in class `ExtendedQueryBase`

    - #### setCacheSep

          public void setCacheSep(boolean cacheSep)

      Specified by:
        `setCacheSep` in interface `ExtendedQuery`
      Overrides:
        `setCacheSep` in class `ExtendedQueryBase`

    - #### getCacheSep

          public boolean getCacheSep()

      Description copied from interface: `ExtendedQuery`
      If true, the clauses of this boolean query should be cached separately. This is not yet implemented.
      Specified by:
        `getCacheSep` in interface `ExtendedQuery`
      Overrides:
        `getCacheSep` in class `ExtendedQueryBase`

    - #### getCache

          public boolean getCache()

      Description copied from interface: `ExtendedQuery`
      Should this query be cached in the query cache or filter cache.
      Specified by:
        `getCache` in interface `ExtendedQuery`
      Overrides:
        `getCache` in class `ExtendedQueryBase`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object other)

      Specified by:
        `equals` in class `Query`

    - #### getCost

          public int getCost()

      Description copied from interface: `ExtendedQuery`
      Returns the cost of this query, used to order checking of filters that are not cached. If getCache()==false && getCost()>=100 && this instanceof PostFilter, then the PostFilter interface will be used for filtering.
      Specified by:
        `getCost` in interface `ExtendedQuery`
      Overrides:
        `getCost` in class `ExtendedQueryBase`

    - #### toString

          public String toString(String s)

      Overrides:
        `toString` in class `ExtendedQueryBase`

    - #### getFilterCollector

          public DelegatingCollector getFilterCollector(IndexSearcher indexSearcher)

      Description copied from interface: `PostFilter`
      Returns a DelegatingCollector to be run after the main query and all of its filters, but before any sorting or grouping collectors
      Specified by:
        `getFilterCollector` in interface `PostFilter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.